package de.szut.casino.dice;

import de.szut.casino.shared.dto.BetDto;
import jakarta.validation.constraints.DecimalMax;
import jakarta.validation.constraints.DecimalMin;
import jakarta.validation.constraints.NotNull;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
@NoArgsConstructor
public class DiceDto extends BetDto {
    private boolean rollOver;

    @NotNull
    @DecimalMin(value = "1.00")
    @DecimalMax(value = "100")
    private BigDecimal targetValue;

    public DiceDto(BigDecimal betAmount, boolean rollOver, BigDecimal targetValue) {
        super(betAmount);
        this.rollOver = rollOver;
        this.targetValue = targetValue;
    }
}
